# Image

Bindings to the QImage class.

## Methods

- selectedImage(...)
- charcoal(...)
- save(...)
- desaturate(...)
- blur(...)
- charcoal2(...)
- fade(...)
- modulate(...)
- filename(...)
- isOk(...)
- intensity(...)
- despeckle(...)
- smoothScale(...)
- smoothScaleMin(...)
- blendColor(...)
- channelIntensity(...)
- sharpen2(...)
- addNoise(...)
- format(...)
- toGray(...)
- shade(...)
- swirl(...)
- solarize(...)
- wave(...)
- computeDestinationRect(...)
- edge(...)
- sharpen(...)
- implode(...)
- threshold(...)
- contrastHSV(...)
- contrast(...)
- unbalancedGradient(...)
- load(...)
- pixmap(...)
- normalize(...)
- MethodoilPaint(...)
- gradient(...)
- dither(...)
- setFormat(...)
- blendImage(...)
- spread(...)
- width(...)
- height(...)
- hash(...)
- flatten(...)
- setPixmap(...)
- rotate(...)
- depth(...)
- sample(...)
- oilPaintConvolve(...)
- equalize(...)
- emboss(...)

## Properties

- HorizontalGradient 1
- DiagonalGradient 2
- HueShift 2
- UniformNoise 0
- PipeCrossGradient 6
- GaussianNoise 1
- SELite 5
- EllipticGradient 7
- NELite 7
- Intensity 0
- Blue 2
- ImpulseNoise 3
- CrossDiagonalGradient 3
- RectangleGradient 5
- MultiplicativeGaussianNoise 2
- Green 1
- Gray 3
- NWLite 1
- Rotate90 0
- Rotate180 1
- Contrast 3
- Red 0
- WestLite 2
- NorthLite 0
- PoissonNoise 5
- SouthLite 4
- VerticalGradient 0
- SWLite 3
- LaplacianNoise 4
- All 4
- Rotate270 2
- EastLite 6
- PyramidGradient 4
- Saturation 1